org.apache.commons.lang3.text.translate

## Class NumericEntityEscaper

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.CodePointTranslator
    - - org.apache.commons.lang3.text.translate.NumericEntityEscaper

- Deprecated.
  As of 3.6, use Apache Commons Text NumericEntityEscaper instead

      @Deprecated
      public class NumericEntityEscaper
      extends CodePointTranslator

  Translates code points to their XML numeric entity escaped value.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericEntityEscaper()` Deprecated. Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericEntityEscaper` | `above(int codePoint)` Deprecated. Constructs a `NumericEntityEscaper` above the specified value (exclusive).
    `static NumericEntityEscaper` | `below(int codePoint)` Deprecated. Constructs a `NumericEntityEscaper` below the specified value (exclusive).
    `static NumericEntityEscaper` | `between(int codePointLow, int codePointHigh)` Deprecated. Constructs a `NumericEntityEscaper` between the specified values (inclusive).
    `static NumericEntityEscaper` | `outsideOf(int codePointLow, int codePointHigh)` Deprecated. Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).
    `boolean` | `translate(int codePoint, Writer out)` Deprecated. Translate the specified code point into another.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericEntityEscaper

          public NumericEntityEscaper()

      Deprecated.
      Constructs a `NumericEntityEscaper` for all characters.

  - ### Method Detail

    - #### below

          public static NumericEntityEscaper below(int codePoint)

      Deprecated.
      Constructs a `NumericEntityEscaper` below the specified value (exclusive).
      Parameters:
        `codePoint` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### above

          public static NumericEntityEscaper above(int codePoint)

      Deprecated.
      Constructs a `NumericEntityEscaper` above the specified value (exclusive).
      Parameters:
        `codePoint` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### between

          public static NumericEntityEscaper between(int codePointLow,
                                                     int codePointHigh)

      Deprecated.
      Constructs a `NumericEntityEscaper` between the specified values (inclusive).
      Parameters:
        `codePointLow` - above which to escape
        `codePointHigh` - below which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### outsideOf

          public static NumericEntityEscaper outsideOf(int codePointLow,
                                                       int codePointHigh)

      Deprecated.
      Constructs a `NumericEntityEscaper` outside of the specified values (exclusive).
      Parameters:
        `codePointLow` - below which to escape
        `codePointHigh` - above which to escape
      Returns:
        the newly created `NumericEntityEscaper` instance

    - #### translate

          public boolean translate(int codePoint,
                                   Writer out)
                            throws IOException

      Deprecated.
      Translate the specified code point into another.
      Specified by:
        `translate` in class `CodePointTranslator`
      Parameters:
        `codePoint` - int character input to translate
        `out` - Writer to optionally push the translated output to
      Returns:
        boolean as to whether translation occurred or not
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.